<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCandidatesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: candidates
         */
        Schema::create('candidates', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('gender', 220)->nullable();
            $table->string('first_name', 220)->nullable();
            $table->string('last_name', 220)->nullable();
            $table->date('dob')->nullable();
            $table->string('birthplace', 220)->nullable();
            $table->string('country', 220)->nullable();
            $table->string('marital_status', 220)->nullable();
            $table->string('children', 220)->nullable();
            $table->string('religion', 220)->nullable();
            $table->string('profile_pitcure', 220)->nullable();
            $table->string('email', 220)->nullable();
            $table->string('phone', 220)->nullable();
            $table->string('whatsapp_number', 220)->nullable();
            $table->string('skype_id', 220)->nullable();
            $table->string('zoom_id', 220)->nullable();
            $table->string('live_in_germany', 50)->nullable();
            $table->string('living_in_germany_from', 220)->nullable();
            $table->string('address_country', 50)->nullable();
            $table->string('address', 220)->nullable();
            $table->string('zip', 220)->nullable();
            $table->string('place', 220)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('candidates');
    }
}
